#version 300 es

/* https://foam.ooo/cakefoot */

/* The precision declaration is required by OpenGL ES */
precision mediump float;

in vec2 fragment_uv;
in vec4 ex_color;

uniform sampler2D model_texture;
uniform int uv_transformation;
uniform float coordinate_bound;
uniform bool texture_enabled;
uniform vec4 color_addition;

out vec4 output_color;

void main()
{
    output_color = float(texture_enabled) * (texture(model_texture, fragment_uv) + color_addition);
    output_color += (1.0 - float(texture_enabled)) * (ex_color + color_addition);
}
